Subject: bug#32032: 26.1; Emacs 26 opens under X with blank window

From: [email-masked]
Date: Mon, 02 Jul 2018 11:52:34 +1000

I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the

executable with `src/emacs -Q` over X11 it shows an empty window with nominibuffer. See the following screenshot:

https://i.stack.imgur.com/0Uf4m.png

I built Emacs without `gnutls`, but that should be possible. Do I missany essential libraries?

According to a stack exchange question

(https://emacs.stackexchange.com/questions/41021/emacs-26-1-rc1-display-issues-over-ssh-x11-with-xming-vcxsrv)the issue might be related to the X-toolkit I'm using (GTK2). Does Emacs26 not support GTK2? The X server I use is MobaXterm 3.0 on Windows 7Enterprise. I cannot test with another X server.

The output of my `./configure --without-gnutls` is stored in a GitHubgist:

https://gist.github.com/halloleo/46808e9574f375f1e320f5e13c068296. Theoutput of the `make all` is in this gist:

https://gist.github.com/halloleo/c4a4ac53c047d972b6f7b91a0240167f

## Notes:

1. The build runs fine in a terminal via `src/emacs -Q -nw` (**That’s
   how I generated the bug report output below!**)

2. I have built Emacs 25 on the same machine and it runs successfullyover X11.

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.23) of 2018-06-29 built on ACCRAD01

System Description: Oracle Linux Server release 6.9

Configured using:

 'configure --without-gnutls'

Configured features:

XPM JPEG TIFF GIF PNG SOUND GPM DBUS GCONF GSETTINGS NOTIFY LIBSELINUXLIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11 THREADS

Important settings:

  value of $LANG: en_US.UTF-8

  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  transient-mark-mode: t

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv

bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs

format-spec rfc822 mml easymenu mml-sec password-cache epa derived epgepg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encodemail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047

rfc2045 ietf-drums mm-util mail-prsvr mail-utils term/xterm xterm

time-date elec-pair mule-util tooltip eldoc electric uniquify ediff-hookvc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dndtool-bar dnd fontset image regexp-opt fringe tabulated-list replace

newcomment text-mode elisp-mode lisp-mode prog-mode register page

menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock

font-lock syntax facemenu font-core term/tty-colors frame cl-generic

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet laokorean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite charscript charpropcase-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffercl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule

custom widget hashtable-print-readable backquote dbusbind inotify

dynamic-setting system-font-setting font-render-setting move-toolbar gtkx-toolkit x multi-tty make-network-process emacs)

Memory information:

((conses 16 97738 9072)

 (symbols 48 20313 2)

 (miscs 40 33 93)

 (strings 32 28225 1194)

 (string-bytes 1 746234)

 (vectors 16 12015)

 (vector-slots 8 446631 9182)

 (floats 8 53 260)

 (intervals 56 204 0)

 (buffers 992 11)

 (heap 1024 15148 697))